---
- auditable_type: SapPrintParameter
  field_name: output_device
  translation_key: field_names.output_device

- auditable_type: SapPrintParameter
  field_name: number_of_copies
  translation_key: field_names.number_of_copies

- auditable_type: SapPrintParameter
  field_name: spool_request_name
  translation_key: field_names.spool_request_name

- auditable_type: SapPrintParameter
  field_name: cover_page_text
  translation_key: field_names.cover_page_text

- auditable_type: SapPrintParameter
  field_name: print_immediately
  translation_key: field_names.print_immediately

- auditable_type: SapPrintParameter
  field_name: delete_after_printing
  translation_key: field_names.delete_after_printing

- auditable_type: SapPrintParameter
  field_name: new_spool_request
  translation_key: field_names.new_spool_request

- auditable_type: SapPrintParameter
  field_name: spool_retention_period
  translation_key: field_names.spool_retention_period

- auditable_type: SapPrintParameter
  field_name: page_length_of_list
  translation_key: field_names.page_length_of_list

- auditable_type: SapPrintParameter
  field_name: line_width_of_list
  translation_key: field_names.line_width_of_list

- auditable_type: SapPrintParameter
  field_name: print_format
  translation_key: field_names.print_format

- auditable_type: SapPrintParameter
  field_name: cover_page_selection
  translation_key: field_names.cover_page_selection

- auditable_type: SapPrintParameter
  field_name: print_sap_cover_page
  translation_key: field_names.print_sap_cover_page
  values:
    - {value: "X", special_field: "0", translation_key: "sap_print_parameters.print_sap_cover_page.standard_cover_page"}
    - {value: "D", special_field: "0", translation_key: "sap_print_parameters.print_sap_cover_page.depends_on_output_device"}
    - {value: "", special_field: "0", translation_key: "sap_print_parameters.print_sap_cover_page.no_cover_page"}

- auditable_type: SapPrintParameter
  field_name: recipient
  translation_key: field_names.recipient

- auditable_type: SapPrintParameter
  field_name: cover_page_department
  translation_key: field_names.cover_page_department

- auditable_type: SapPrintParameter
  field_name: sap_authorization
  translation_key: field_names.sap_authorization

- auditable_type: SapPrintParameter
  field_name: name_of_spool_file
  translation_key: field_names.name_of_spool_file

- auditable_type: SapPrintParameter
  field_name: type_of_spool_request
  translation_key: field_names.type_of_spool_request

- auditable_type: SapPrintParameter
  field_name: archiving_mode
  translation_key: field_names.archiving_mode
  values:
    - {value: "1", special_field: "0", translation_key: "sap_print_parameters.archiving_mode.print"}
    - {value: "2", special_field: "0", translation_key: "sap_print_parameters.archiving_mode.archive"}
    - {value: "3", special_field: "0", translation_key: "sap_print_parameters.archiving_mode.and_print_and_archive"}

- auditable_type: SapPrintParameter
  field_name: print_footer
  translation_key: field_names.print_footer

- auditable_type: SapPrintParameter
  field_name: spool_request_priority
  translation_key: field_names.spool_request_priority

- auditable_type: SapPrintParameter
  field_name: print_host_cover_page
  translation_key: field_names.print_host_cover_page

- auditable_type: SapPrintParameter
  field_name: sap_abap_step_id
  translation_key: field_names.sap_abap_step

- auditable_type: SapPrintParameter
  field_name: archive_object
  translation_key: field_names.archive_object

- auditable_type: SapPrintParameter
  field_name: archive_document
  translation_key: field_names.archive_document

- auditable_type: SapPrintParameter
  field_name: archive_information
  translation_key: field_names.archive_information

- auditable_type: SapPrintParameter
  field_name: archive_text
  translation_key: field_names.archive_text